Module java.desktop
Package javax.swing.event

# Interface DocumentEvent.ElementChange

All Known Implementing Classes:
  `AbstractDocument.ElementEdit`

Enclosing interface:
  DocumentEvent

public static interface DocumentEvent.ElementChange
Describes changes made to a specific element.

## Method Summary

Modifier and Type
Method
Description
`Element[]`
`getChildrenAdded()`
Gets the child elements that were added to the given parent element.
`Element[]`
`getChildrenRemoved()`
Gets the child elements that were removed from the given parent element.
`Element`
`getElement()`
Returns the element represented.
`int`
`getIndex()`
Fetches the index within the element represented.

## Method Details

### getElement

Element getElement()
Returns the element represented. This is the element that was changed.

Returns:
  the element

### getIndex

int getIndex()
Fetches the index within the element represented. This is the location that children were added and/or removed.

Returns:
  the index >= 0

### getChildrenRemoved

Element[] getChildrenRemoved()
Gets the child elements that were removed from the given parent element. The element array returned is sorted in the order that the elements used to lie in the document, and must be contiguous.

Returns:
  the child elements

### getChildrenAdded

Element[] getChildrenAdded()
Gets the child elements that were added to the given parent element. The element array returned is in the order that the elements lie in the document, and must be contiguous.

Returns:
  the child elements